/* -*- mode: c++; c-basic-offset: 4; -*- */
#ifndef CHECKSUM_CRC32_HH
#define CHECKSUM_CRC32_HH
#include <stdint.h>

class checksum_crc32 {
public:
  checksum_crc32(void);
  virtual ~checksum_crc32(void);
  void add(const unsigned char*, uint32_t length);
  void reset(void);
  uint32_t result(void) const;
private:
  uint32_t _value;
  uint32_t _length;
};

#endif // !defined(CHECKSUM_CRC32_HH)
